This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123675 - Core 2 Test 3 USB Support Bug
Core 2 Test 3 USB Support Bug
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 18:44 EDT by Erasmo Acosta
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 20:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erasmo Acosta 2004-05-19 18:44:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
I believe I've found a Bug on USB support on Core 2, Test 3. When I
mount a CF reader as filesystem and try to copy the files across, it
gets stuck and generates a bunch of messages to /var/log/messages.
I've tested the same scenario on Core 1 and the problem doesn't
reproduces, so I assume is a Core 2 problem. Here are the steps to
reproduce the problem:


1) add the following line to /etc/fstab:
usbdevfs                /proc/bus/usb           usbdevfs defaults  0 0

2) mkdir /mnt/usb

3) mount -t vfat /dev/sda1 /mnt/usb

4) mkdir /tmp/test

5) cp /mnt/usb/dcim/115canon/* /tmp/test
cp: reading `/mnt/usb/dcim/115canon/img_1517.jpg': Input/output error



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkdir /mnt/usb
2. mount -t vfat /dev/sda1 /mnt/usb
3. mkdir /tmp/test
4. cp /mnt/usb/dcim/115canon/* /tmp/test

Please see description for FULL details
    

Actual Results:  cp: reading `/mnt/usb/dcim/115canon/img_1517.jpg':
Input/output error

Expected Results:  no error msg (success)

Additional info:

I also get the following errors on /var/log/messages:
May 16 22:37:55 neo kernel: usb 1-2: new full speed USB device using
address 7
May 16 22:37:55 neo kernel: scsi6 : SCSI emulation for USB Mass
Storage devices
May 16 22:37:55 neo kernel:   Vendor: LEXAR     Model: CF CARD      
Rev: 1.00
May 16 22:37:55 neo kernel:   Type:   Direct-Access                  
   ANSI SCSI
revision: 02
May 16 22:37:55 neo kernel: SCSI device sdc: 1001952 512-byte hdwr
sectors (513 MB)
May 16 22:37:55 neo kernel: sdc: assuming Write Enabled
May 16 22:37:55 neo kernel: sdc: assuming drive cache: write through
May 16 22:37:55 neo kernel:  sdc: sdc1
May 16 22:37:55 neo kernel: Attached scsi removable disk sdc at scsi6,
channel 0,
id 0, lun 0
May 16 22:37:56 neo scsi.agent[4649]: disk at
/devices/pci0000:00/0000:00:1d.0/usb1/1-2/1-2:1.0/host6/6:0:0:0
May 16 22:37:57 neo udev[4786]: creating device node '/udev/sdc1'
May 16 22:37:57 neo udev[4785]: creating device node '/udev/sdc'
May 16 22:44:02 neo kernel: SCSI error : <6 0 0 0> return code = 0x6000000
May 16 22:44:02 neo kernel: end_request: I/O error, dev sdc, sector 149593
May 16 22:44:02 neo kernel: Buffer I/O error on device sdc1, logical
block 149530
May 16 22:47:02 neo kernel: SCSI error : <6 0 0 0> return code = 0x6000000
May 16 22:47:02 neo kernel: end_request: I/O error, dev sdc, sector 149721
May 16 22:47:02 neo kernel: Buffer I/O error on device sdc1, logical
block 149658
Comment 1 Pete Zaitcev 2004-08-19 20:03:10 EDT
Key 6 means that media was removed.
Beyond that it's hard to tell what's happening.
Comment 2 Dave Jones 2004-12-07 01:03:11 EST
still a problem with the latest errata kernel ?
Comment 3 Erasmo Acosta 2004-12-07 12:47:37 EST
No, it works OK now.

Note You need to log in before you can comment on or make changes to this bug.